package com.game.business.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.game.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "游戏投注记录", description = "游戏投注记录")
public class AppUserGameBettingCountVO {

    @ApiModelProperty(value = "当前期号")
    private String gameDate;

    @ApiModelProperty(value = "数量")
    private long bettingCount;

    @ApiModelProperty(value = "下单金额")
    private double orderAmount;

    @ApiModelProperty(value = "赢")
    private double winAmount;

    @ApiModelProperty(value = "输")
    private double loseAmount;

    @ApiModelProperty(value = "当前开奖项")
    private String gameLotterySucc;

    @ApiModelProperty(value = "是否开奖：0 否；1是")
    private Integer isLottery;

    @ApiModelProperty(value = "当前开奖时间")
    private Date gameRecordDate;

    @ApiModelProperty(value = "投注选项统计")
    List<AppUserGameBettingDetailsCountVO> detailsCountVOList;
}
